PHPExcel_Writer_Excel2007_Drawing

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write drawings to XML format

    _writeChart(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Chart $pChart, int $pRelationId)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pChart

`\PHPExcel_Chart`

#### $pRelationId

`int`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write drawings to XML format

    _writeDrawing(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet_BaseDrawing $pDrawing, int $pRelationId)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pDrawing

`\PHPExcel_Worksheet_BaseDrawing`

#### $pRelationId

`int`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get an array of all drawings

    allDrawings(\PHPExcel $pPHPExcel) : \PHPExcel_Worksheet_Drawing[]

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Worksheet_Drawing[]`All drawings in PHPExcel

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write drawings to XML format

    writeDrawings(\PHPExcel_Worksheet $pWorksheet, int $chartRef, boolean $includeCharts) : string

### Parameters

#### $pWorksheet

`\PHPExcel_Worksheet`

#### $chartRef

`int`

&$chartRef Chart ID

#### $includeCharts

`boolean`

Flag indicating if we should include drawing details for charts

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter